Bug 445040 - X aborts respawn when using kdm with XGI video
X aborts respawn when using kdm with XGI video
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-sis (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-02 17:33 EDT by Shawn Starr
Modified: 2008-05-13 14:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 14:51:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log output for XGI (39.43 KB, text/plain)
2008-05-02 17:33 EDT, Shawn Starr
no flags Details
XGI log - With Errors (39.80 KB, text/plain)
2008-05-02 17:35 EDT, Shawn Starr
no flags Details
Xorg log of XGI (sis) with errors in log (40.49 KB, text/plain)
2008-05-02 19:29 EDT, Shawn Starr
no flags Details

  None (edit)
Description Shawn Starr 2008-05-02 17:33:54 EDT
Description of problem:
When logging out of the system using KDM as the default display manager, X is 
not respawned and you are left at the login console prompt instead of the 
graphical prompt.

Version-Release number of selected component (if applicable):
xorg-x11-drv-sis-0.10.0-1.fc9.i386


How reproducible:
100% when using kdm as login manager does not occur with GDM

Steps to Reproduce:
1. Switch to runlevel 3.
2. Switch to using KDM in /etc/sysconfig/desktop
2. killall gdm, switch to runlevel 5 to respawn X
3. Login to KDE, then logout, X will fail to respawn.
  
Actual results:

X fail to respond leaving you at the console login

Expected results:

X should be respawn, and you can login with KDM to KDE

Additional info:

Hardware: XGI Technology Inc. (eXtreme Graphics Innovation) Volari Z7

See attachment for Xorg log.
Comment 1 Shawn Starr 2008-05-02 17:33:54 EDT
Created attachment 304421 [details]
Xorg log output for XGI
Comment 2 Shawn Starr 2008-05-02 17:34:38 EDT
Comment on attachment 304421 [details]
Xorg log output for XGI

NORMAL GOOD log
Comment 3 Shawn Starr 2008-05-02 17:35:40 EDT
Created attachment 304422 [details]
XGI log - With Errors

XGI log - With Errors
Comment 4 Shawn Starr 2008-05-02 19:29:21 EDT
Created attachment 304432 [details]
Xorg log of XGI (sis) with errors in log
Comment 5 Bill Nottingham 2008-05-07 12:36:54 EDT
Please upgrade to the latest rawhide packages - we changed the KDM behavior a
few days back.
Comment 6 Shawn Starr 2008-05-09 11:55:25 EDT
ya, this workaround works, feel free to close. Unless this can be tripped other
ways. This is good.
Comment 7 Adam Jackson 2008-05-13 14:51:55 EDT
Closing per comment #6.

Note You need to log in before you can comment on or make changes to this bug.